import { PropsWithMetadata } from '@highlight-ui/utils-commons';
import React from 'react';
export declare type ItemStatus = 'loading' | 'valid' | 'invalid' | 'warning';
export declare type ListItem = PropsWithMetadata<{
    key: string;
    title: string | React.ReactNode;
    disabled?: boolean;
    active?: boolean;
    status?: ItemStatus;
}>;
export declare enum MenuVariants {
    DEFAULT = "default",
    ANCHOR = "anchor"
}
